@echo off
cls
if "%1" == "" goto FExe
:Exe
cd\wizworks
inst %1
if errorlevel 10 goto DoneInstall
if errorlevel 9 goto Nine
if errorlevel 8 goto Eight
if errorlevel 7 goto Seven
if errorlevel 6 goto Six
if errorlevel 5 goto Five
if errorlevel 4 goto Four
if errorlevel 3 goto Three
if errorlevel 2 goto Two
if errorlevel 1 goto One
if errorlevel 0 goto DoneInstall
:CriticalError
echo Fatal Error encountered.
echo Please contact WizardWorks Technical Support line at: (612)-559-5301
goto DoneInstall
:One
cd\wizworks\poolrad
start
:Two
cd\wizworks\curse
start
:Three
cd\wizworks\secret
start
:Four
cd\wizworks\cok
start
:Five
cd\wizworks\dkk
start
:Six
cd\wizworks\dqk.vga
start
:Seven
cd\wizworks\gateway
start
:Eight
cd\wizworks\treasure
start
:Nine
cd\wizworks\pools
start
:FExe
Intro
ECHO Would you like to read the Readme file?
ECHO It contains important information about the games on this CD
ECHO As well as information on the installation program.
ECHO (Reading this file is HIGHLY recommended)
CHOICE /cyn /ty,5
if errorlevel 2 goto Exe
if errorlevel 1 goto Read
:Read
cd\
type readme.txt | more
pause
goto Exe
:DoneInstall
cd \
@ECHO OFF
cls
if exist c:\wizworx\dqk\dqk.exe goto cif
if exist d:\wizworx\dqk\dqk.exe goto dif
goto end
:cif
if exist c:\wizworx\dqk\start.bat goto end
copy \wizworks\dqk.ega\start.bat c:\wizworx\dqk\start.bat
cls
goto end
:dif
if exist d:\wizworx\dqk\start.bat goto end
copy \wizworks\dqk.ega\start.bat d:\wizworx\dqk\start.bat
cls
goto end
:end
cls

